---
title: <font>
slug: Web/HTML/Element/font
tags:
  - Element
  - HTML
  - Obsolete
  - Reference
  - Web
---
<div>{{obsolete_header}}</div>

<h2 id="Summary">Summary</h2>

<p>The <em>HTML Font Element</em> (<code>&lt;font&gt;</code>) defines the font size, color and face for its content.</p>

<div class="note">
<p><em>Usage note: </em></p>

<p><strong>Do not use this element! </strong>Though once normalized in HTML 3.2, it was deprecated in HTML 4.01, at the same time as all elements related to styling only, then made obsolete in HTML5.</p>

<p>Starting with HTML 4, HTML does not convey styling information anymore (outside the {{HTMLElement("style")}} element or the <strong>style</strong> attribute of each element). For any new web development, styling should be written using <a href="/en-US/docs/Web/CSS" title="CSS">CSS</a> only.</p>

<p>The former behavior of the {{HTMLElement("font")}} element can be achieved, and even better controlled using the <a href="/en-US/docs/Web/CSS/CSS_Fonts">CSS Fonts</a> CSS properties.</p>
</div>

<h2 id="Attributes">Attributes</h2>

<p>Like all other HTML elements, this element supports the <a href="/en-US/docs/Web/HTML/Global_attributes" title="HTML/Global attributes">global attributes</a>.</p>

<dl>
 <dt>{{htmlattrdef("color")}}</dt>
 <dd>This attribute sets the text color using either a named color or a color specified in the hexadecimal #RRGGBB format.</dd>
 <dt>{{htmlattrdef("face")}}</dt>
 <dd>This attribute contains a comma-separated list of one or more font names. The document text in the default style is rendered in the first font face that the client's browser supports. If no font listed is installed on the local system, the browser typically defaults to the proportional or fixed-width font for that system.</dd>
 <dt>{{htmlattrdef("size")}}</dt>
 <dd>This attribute specifies the font size as either a numeric or relative value. Numeric values range from <code>1</code> to <code>7</code> with <code>1</code> being the smallest and <code>3</code> the default. It can be defined using a relative value, like <code>+2</code> or <code>-3</code>, which set it relative to the value of the {{htmlattrxref("size", "basefont")}} attribute of the {{HTMLElement("basefont")}} element, or relative to <code>3</code>, the default value, if none does exist.</dd>
</dl>

<h2 id="DOM_interface">DOM interface</h2>

<p>This element implements the {{domxref("HTMLFontElement")}} interface.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.font")}}</p>

<div>{{HTMLRef}}</div>
